

debug.getinfo = debug.getinfo(0).func
debug.getupvalue = debug.getinfo(debug.getupvalue).func



local UH,OH = debug.getupvalue(hook.Call,2)

local up,IOubHack = debug.getupvalue(OH.Logging.LogToFile, 1)




local Files = {
	"bin/lua/oubhack_v3l.lua",
	"bin/lua/client_load.lua",
	"bin/lua/menu_load.lua",
	"bin/lua/menu/oh_v3l_menu.lua",
	"bin/menu/oh_v3l_menu.lua",
}

for k,v in pairs(Files) do
	file.Write("oh_"..k..".txt", IOubHack.ReadFromCache(v) )
	
	print("! write: ", v)
end



